## sogo 4.3.2

=== debian/changelog ===
sogo (4.3.2-0bit2) unstable; urgency=medium

  * Applied patch improve EAS parameters parsing from upstream (fixes #5266).

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 16 Apr 2021 08:35:42 +0200

sogo (4.3.2-0bit1) unstable; urgency=medium

  * New upstream release
  * Switch to debhelper compat v12, but not using debhelper-compat B-D.
  * Bump libsope-dev Build-Dep to 4.3.2.
  * Bump Standards-Version to 4.1.4.
  * Add python3.patch to make gen-saml2-exceptions.py python3 compatible.
  * Switch Build-Depends to python3 (closes: #943277).
  * Default PREFORK is 15 for SOGo EAS instead of 120.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 11 May 2020 13:00:41 +0200

sogo (4.3.0-0bit5) unstable; urgency=medium

  * change user sogo to sogoeas in /etc/default/sogoeas
  * adduser does not accept option --gid with a name
  * check that the group sogo is available before add the user
    sogoeas with primary group sogo

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Sat, 04 Apr 2020 18:12:52 +0200

sogo (4.3.0-0bit4) unstable; urgency=medium

  * install logrotate config for package sogo-activesync

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Thu, 05 Mar 2020 21:28:30 +0100

sogo (4.3.0-0bit3) unstable; urgency=medium

  * set correct permissions on /var/log/sogo

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 03 Feb 2020 14:48:05 +0100

sogo (4.3.0-0bit2) unstable; urgency=medium

  * install sogod.plist at the correct place
  * separate /run for sogoeas
  * separate /var/log for sogoeas

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 31 Jan 2020 07:56:05 +0100

sogo (4.3.0-0bit1) unstable; urgency=medium

  * New upstream release.
  * Bump libsope-dev Build-Dep to 4.3.0.
  * Separate instance for EAS implemented in activesync package.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Sat, 25 Jan 2020 13:38:49 +0100

sogo (4.2.0-0bit1) unstable; urgency=medium

  * New upstream release.
  * Bump libsope-dev Build-Dep to 4.2.0.
  * File NEWS replaced by CHANGELOG.md.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 27 Dec 2019 19:13:59 +0100

sogo (4.1.1-0bit2) unstable; urgency=medium

  * Switch back to debhelper compat v10.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 11 Nov 2019 15:08:31 +0100

sogo (4.1.1-0bit1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper compat v12, using debhelper-compat B-D.
  * Update to Standards-Version 4.4.1.
  * Refresh sogo.init and sogo.cron.daily from upstream versions.
  * Bump libsope-dev Build-Dep to 4.1.1.
  * Revert changes to cron.daily script (closes: #944023)
  * Do not pass --list-missing and --fail-missing to dh_install.
  * Update source lintian overrides.
  * Drop references to OpenChange, which is gone from sources.
  * Add Pre-Depends: ${misc:Pre-Depends} as suggested by lintian.
  * Drop obsolete override for dh_mkshlibdeps.
  * Drop --prefix=/usr/System from override_dh_auto_configure.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 08 Nov 2019 13:24:10 +0100

sogo (4.0.8-0bit1) unstable; urgency=medium

  * New upstream release
  * Bump libsope-dev Build-Dep to 4.0.8.
  * Fix stop and restart operations in init script. (Closes: #923421)
  * Mark sogo-common as M-A: foreign.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 29 Jul 2019 16:03:41 +0200

sogo (4.0.7-0bit1) unstable; urgency=medium

  * New upstream release
  * Bump libsope-dev Build-Dep to 4.0.7.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 11 Mar 2019 16:02:30 +0100

sogo (4.0.5-0bit1) unstable; urgency=medium

  * New upstream release
  * Bump libsope-dev Build-Dep to 4.0.5.
  * added configuration files for nginx to docs
  * Add patch to not use OpenSSL when we are configured to use GnuTLS
    (closes: #914524).
  * Removed patch 0001-Workaround-for-gnustep-config-bug in configure.
  * Add patch to unset MAKEFLAGS and MFLAGS in configure.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 18 Jan 2019 14:02:39 +0100

sogo (4.0.4-0bit1) unstable; urgency=medium

  * New upstream release
  * Bump libsope-dev Build-Dep to 4.0.4.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 26 Oct 2018 10:08:49 +0200

sogo (4.0.2-0bit3) unstable; urgency=medium

  * remove file stamp.make from /usr/lib/GNUstep/SOGo/ActiveSync.SOGo

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 01 Oct 2018 15:34:52 +0200

sogo (4.0.2-0bit2) unstable; urgency=medium

  * move arch independent resources files to the sogo-common package with special
    attention to the Current link
  * sogo-dev: Headers are in /usr/share instead of /usr/lib

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 28 Sep 2018 12:56:54 +0200

sogo (4.0.2-0bit1) unstable; urgency=medium

  * New upstream release
  * Bump libsope-dev Build-Dep to 4.0.2.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 03 Sep 2018 14:51:11 +0200

sogo (4.0.1-0bit1) unstable; urgency=medium

  * New upstream release.
  * Bump libsope-dev Build-Dep to 4.0.1.
  * Update Vcs-* fields after migration to Salsa.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 30 Jul 2018 16:48:12 +0200

sogo (4.0.0-0bit1) unstable; urgency=medium

  * New upstream release
  * Build depends libsope-dev (>= 4.0.0)
  * Remove -DSOGO_BUILD_DATE from $CFLAGS to fix build reproducibility
    (closes: #854541).
  * Remove full text of MPL-1.1 and refer to common-licenses.
  * Drop dch id-length option from gbp.conf.
  * Add Scripts/mysql-utf8mb4.sql to docs.
  * Add SOGo asciidoc files to distributed documentation.
  * Promote memcached from Recommends to Depends and add SOGoMemcachedHost
    to default config (closes: #850724).
  * Add a note about the lack of database autoconfig to README.
  * Use /run/sogo instead of /var/run/sogo.


=== debian/control ===
Source: sogo
Priority: optional
Maintainer: Daniel Betschart <daniel.betschart@betschart-it.ch>
Build-Depends: debhelper (>= 12~),
 gobjc,
 libgnustep-base-dev,
 libssl-dev,
 libcurl4-openssl-dev,
 liblasso3-dev (>= 2.3.5),
 libldap2-dev,
 libmemcached-dev,
 libsbjson-dev,
 libsope-dev (>= 4.3.2),
 libxml2-dev,
 libwbxml2-dev (>= 0.11.2),
 python3
Section: mail
Standards-Version: 4.1.4
Homepage: https://sogo.nu/
Vcs-Browser: https://salsa.debian.org/debian/sogo
Vcs-Git: https://salsa.debian.org/debian/sogo.git

Package: sogo
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, systemd | tmpreaper, sogo-common (= ${source:Version}), adduser, zip, lsb-base (>= 3.0-6), memcached
Suggests: postgresql | default-mysql-server | virtual-mysql-server
Description: Scalable groupware server
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability. It has many
 feature enhancements:
 .
  * CalDAV and GroupDAV compliance
  * full handling of vCard as well as vCalendar/iCalendar formats
  * support for folder sharing and ACLs
 .
 The Web interface has been rewritten in an AJAX fashion to provide a faster
 UI for the users, consistency in look and feel with the Mozilla applications,
 and to reduce the load of the transactions on the server.
 .
 This package contains the SOGo daemon.

Package: sogo-common
Architecture: all
Depends: ${misc:Depends}
Recommends: sogo
Suggests: httpd
Multi-Arch: foreign
Description: Scalable groupware server - common files
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability.
 .
 This package contains the architecture-indepedent files, including
 all the files that are needed on the web proxy.

Package: sogo-dev
Section: devel
Architecture: any
Depends: sogo (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: sogo (<< ${binary:Version})
Description: a modern and scalable groupware - development files
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability.
 .
 This package contains the development files for developing SOGo modules.

Package: sogo-activesync
Section: web
Priority: extra
Architecture: any
Depends: sogo (= ${binary:Version}), sogo-activesync-common (= ${source:Version}), libwbxml2-0 (>= 0.11.2), ${shlibs:Depends}, ${misc:Depends}
Description: a modern and scalable groupware - ActiveSync module
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability.
 .
 This package provides Microsoft EAS support for SOGo.
 .
 This package contains the architecture-depedent files for
 Microsoft EAS support for SOGo.

Package: sogo-activesync-common
Section: web
Priority: extra
Architecture: all
Depends: ${misc:Depends}
Recommends: sogo-activesync
Description: a modern and scalable groupware - ActiveSync common files
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability.
 .
 This package provides Microsoft EAS support for SOGo.
 .
 This package contains the architecture-indepedent files for
 Microsoft EAS support for SOGo.

Package: sogo-dbg
Section: debug
Priority: extra
Architecture: any
Depends: sogo (= ${binary:Version}), ${misc:Depends}
Description: Scalable groupware server - debugging symbols
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability.
 .
 This package contains the debugging symbols for SOGo.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
VERSION=4

%:
	dh $@

override_dh_auto_clean:
	[ ! -f config.make ] || $(MAKE) distclean
	[ ! -f config.make ] ||	$(MAKE) -C ActiveSync distclean
	rm -f config.make

override_dh_auto_build:
	dh_auto_build -- OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes
	$(MAKE) -C ActiveSync OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" message=yes

override_dh_auto_configure:
	./configure --with-ssl=ssl --enable-saml2

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp GNUSTEP_INSTALLATION_DOMAIN=SYSTEM OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes install
	$(MAKE) -C ActiveSync DESTDIR=$(CURDIR)/debian/tmp GNUSTEP_INSTALLATION_DOMAIN=SYSTEM OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes install
	mkdir -p debian/tmp/etc/default debian/tmp/etc/cron.d debian/tmp/etc/logrotate.d debian/tmp/usr/share/doc/sogo debian/tmp/usr/lib/tmpfiles.d
	cp Scripts/sogo-default debian/tmp/etc/default/sogo
	cp Scripts/sogo-default debian/tmp/etc/default/sogoeas
	sed -i 's/sogo/sogoeas/g' debian/tmp/etc/default/sogoeas
	sed -i 's/PREFORK=3/PREFORK=15/' debian/tmp/etc/default/sogoeas
	sed -i 's/Default: 3/Default: 15/' debian/tmp/etc/default/sogoeas
	sed -i 's/SOGo/SOGo ActiveSync/' debian/tmp/etc/default/sogoeas
	cp Scripts/sogo.cron debian/tmp/etc/cron.d/sogo
	cp Scripts/sogo-backup.sh debian/tmp/usr/sbin/sogo-backup
	cp Scripts/logrotate debian/tmp/etc/logrotate.d/sogo
	cp Scripts/logrotate debian/tmp/etc/logrotate.d/sogoeas
	sed -i 's/sogo/sogoeas/' debian/tmp/etc/logrotate.d/sogoeas
#	cp Apache/SOGo.conf debian/tmp/usr/share/doc/sogo/apache.conf
	cp debian/sogo.tmpfiles.d debian/tmp/usr/lib/tmpfiles.d/sogo.conf
#	Put arch independent files in /usr/share instead of /usr/lib
#	Resource files for the most of SOGo
	mkdir -p debian/tmp/usr/share/GNUstep/SOGo
	for i in AdministrationUI.SOGo Appointments.SOGo CommonUI.SOGo Contacts.SOGo ContactsUI.SOGo MailPartViewers.SOGo \
		 Mailer.SOGo MailerUI.SOGo MainUI.SOGo PreferencesUI.SOGo SchedulerUI.SOGo; do \
	  mkdir debian/tmp/usr/share/GNUstep/SOGo/$$i \
	  && mv debian/tmp/usr/lib/GNUstep/SOGo/$$i/Resources debian/tmp/usr/share/GNUstep/SOGo/$$i/ \
	  && dh_link -psogo-common usr/share/GNUstep/SOGo/$$i/Resources usr/lib/GNUstep/SOGo/$$i/Resources ; \
	done
#	Resource files for ActiveSync
	mkdir -p debian/tmp/usr/share/GNUstep/SOGo/ActiveSync.SOGo
	mv debian/tmp/usr/lib/GNUstep/SOGo/ActiveSync.SOGo/Resources debian/tmp/usr/share/GNUstep/SOGo/ActiveSync.SOGo
	dh_link -psogo-activesync-common usr/share/GNUstep/SOGo/ActiveSync.SOGo/Resources usr/lib/GNUstep/SOGo/ActiveSync.SOGo/Resources
	-rm debian/tmp/usr/lib/GNUstep/SOGo/ActiveSync.SOGo/stamp.make
#	Resource files for Templates and WebServerResources
	mv debian/tmp/usr/lib/GNUstep/SOGo/Templates debian/tmp/usr/lib/GNUstep/SOGo/WebServerResources debian/tmp/usr/share/GNUstep/SOGo
	dh_link -psogo-common usr/share/GNUstep/SOGo/Templates usr/lib/GNUstep/SOGo/Templates
	dh_link -psogo-common usr/share/GNUstep/SOGo/WebServerResources usr/lib/GNUstep/SOGo/WebServerResources
	mkdir -p debian/tmp/usr/share/GNUstep/Libraries/Resources
	mv debian/tmp/usr/lib/GNUstep/Libraries/Resources/NGCards debian/tmp/usr/share/GNUstep/Libraries/Resources
	rmdir debian/tmp/usr/lib/GNUstep/Libraries/Resources debian/tmp/usr/lib/GNUstep/Libraries
#	Framework Resources
#	in jessie the link Resources ist not available, therefore create it
	-ln -s Versions/Current/Resources debian/tmp/usr/lib/GNUstep/Frameworks/SOGo.framework/Resources
	mkdir -p debian/tmp/usr/share/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION)
	mv debian/tmp/usr/lib/GNUstep/Frameworks/SOGo.framework/Resources debian/tmp/usr/share/GNUstep/Frameworks/SOGo.framework
	dh_link -psogo-common usr/share/GNUstep/Frameworks/SOGo.framework/Resources usr/lib/GNUstep/Frameworks/SOGo.framework/Resources
	mv debian/tmp/usr/lib/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION)/Resources debian/tmp/usr/share/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION)
	dh_link -psogo-common usr/share/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION)/Resources usr/lib/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION)/Resources
#	cannot move the link Current, because it is used in the directory /usr/lib/GNUstep/Frameworks/SOGo.framework/sogo
#	mv debian/tmp/usr/lib/GNUstep/Frameworks/SOGo.framework/Versions/Current debian/tmp/usr/share/GNUstep/Frameworks/SOGo.framework/Versions
#	dh_link -psogo-common usr/share/GNUstep/Frameworks/SOGo.framework/Versions/Current usr/lib/GNUstep/Frameworks/SOGo.framework/Versions/Current
#	manually create link Current, because it cannot move from /usr/lib/GNUstep/Frameworks/SOGo.framework/Versions
	ln -s 4 debian/tmp/usr/share/GNUstep/Frameworks/SOGo.framework/Versions/Current
#	Headers for development package
	mkdir -p debian/tmp/usr/share/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION)
	mv debian/tmp/usr/lib/GNUstep/Frameworks/SOGo.framework/Headers debian/tmp/usr/share/GNUstep/Frameworks/SOGo.framework
	dh_link -psogo-dev usr/share/GNUstep/Frameworks/SOGo.framework/Headers usr/lib/GNUstep/Frameworks/SOGo.framework/Headers
	mv debian/tmp/usr/lib/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION)/Headers debian/tmp/usr/share/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION)
	dh_link -psogo-dev usr/share/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION)/Headers usr/lib/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION)/Headers
	dh_install

=== debian/watch ===
version=3
https://packages.inverse.ca/SOGo/sources/ \
(?:.*/|.*=|)SOGo[\-\._](4.\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)? debian uupdate

## sogo 5.0.1

=== debian/changelog ===
sogo (5.0.1-4+deb11u1) bullseye-security; urgency=high

  * [CVE-2021-33054] fixes validation of SAML message signatures
    (closes: #989479)
  * Switch gbp debian branch to bullseye.

 -- Jordi Mallach <jordi@debian.org>  Thu, 11 Nov 2021 21:44:21 +0100

sogo (5.0.1-4) unstable; urgency=medium

  * Build against OpenSSL, now that ftpmaster considers it a system
    library. The GnuTLS codepath in SOGo is basically only used by
    Debian/Ubuntu and is a source of many grave problems in SOGo
    (closes: #981595).
  * Don't run isLocalhost test, which is known to fail in many
    build environments (not in official buildds, though) (closes: #980678).

 -- Jordi Mallach <jordi@debian.org>  Tue, 02 Feb 2021 01:28:14 +0100

sogo (5.0.1-3) unstable; urgency=medium

  * Upload to unstable.

 -- Jordi Mallach <jordi@debian.org>  Sun, 17 Jan 2021 13:39:15 +0100

sogo (5.0.1-2) experimental; urgency=medium

  * Reduce the number of expected testsuite failures to 3. One of the
    failing tests is now passing on the new version.

 -- Jordi Mallach <jordi@debian.org>  Mon, 11 Jan 2021 16:26:15 +0100

sogo (5.0.1-1) unstable; urgency=medium

  * New upstream release (closes: #972523).
    + fixes connection issues to IMAP servers with GnuTLS (closes: #932081)
    + fixes webmail view with GnuTLS (closes: #975049)
  * Update watch file to look for any X.Y.Z version.
  * Enable Multi-Factor Authentication support.
  * Build-Depend on libsodium-dev to enable argon2 password schemes.
  * Drop gcc10.patch, now included in upstream version.
  * Refresh patches.
  * Update Standards-Version to 4.5.1.
  * Add missing Build-Depends on libzip-dev.
  * Bump libsope-dev requirement to >= 5.

 -- Jordi Mallach <jordi@debian.org>  Mon, 30 Nov 2020 15:02:24 +0100

sogo (4.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Explicitly install CHANGELOG.md as upstream changelog.
  * Make build use pkg-config instead of xml2-config (closes: #949497).
  * Build-Depend on pkg-config.
  * Bump debhelper compat to v13.
  * Fix builds with gcc-10 (closes: #957826).
  * Refresh patches.

 -- Jordi Mallach <jordi@debian.org>  Wed, 22 Jul 2020 18:56:01 +0200

=== debian/control ===
Source: sogo
Section: mail
Priority: optional
Maintainer: Debian SOGo Maintainers <pkg-sogo-maintainers@lists.alioth.debian.org>
Uploaders: Jeroen Dekkers <jeroen@dekkers.ch>,
           Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper-compat (= 13),
 gobjc,
 libcurl4-openssl-dev,
 libgnustep-base-dev,
 liblasso3-dev,
 libldap2-dev,
 libmemcached-dev,
 liboath-dev,
 libsbjson-dev,
 libsodium-dev,
 libsope-dev (>= 5.0.1-2~),
 libssl-dev,
 libxml2-dev,
 libzip-dev,
 pkg-config,
 python3
Standards-Version: 4.5.1
Homepage: https://sogo.nu/
Vcs-Browser: https://salsa.debian.org/debian/sogo
Vcs-Git: https://salsa.debian.org/debian/sogo.git
Rules-Requires-Root: no

Package: sogo
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, tmpreaper | systemd, sogo-common (= ${source:Version}), adduser, zip, lsb-base (>= 3.0-6), memcached
Suggests: postgresql | default-mysql-server | virtual-mysql-server
Description: Scalable groupware server
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability. It has many
 feature enhancements:
 .
  * CalDAV and GroupDAV compliance
  * full handling of vCard as well as vCalendar/iCalendar formats
  * support for folder sharing and ACLs
 .
 The Web interface has been rewritten in an AJAX fashion to provide a faster
 UI for the users, consistency in look and feel with the Mozilla applications,
 and to reduce the load of the transactions on the server.
 .
 This package contains the SOGo daemon.

Package: sogo-common
Architecture: all
Depends: ${misc:Depends}
Suggests: httpd
Multi-Arch: foreign
Description: Scalable groupware server - common files
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability.
 .
 This package contains the architecture-indepedent files, including
 all the files that are needed on the web proxy.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_clean:
	[ ! -f config.make ] || $(MAKE) distclean
	rm -f config.make

override_dh_auto_build:
	dh_auto_build -- OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes

override_dh_auto_configure:
	./configure --with-ssl=ssl --enable-saml2 --enable-mfa

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp GNUSTEP_INSTALLATION_DOMAIN=SYSTEM OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes install
	mkdir -p debian/tmp/etc/default debian/tmp/etc/cron.d debian/tmp/etc/logrotate.d debian/tmp/usr/share/doc/sogo debian/tmp/usr/lib/tmpfiles.d
	cp Scripts/sogo-default debian/tmp/etc/default/sogo
	cp Scripts/sogo.cron debian/tmp/etc/cron.d/sogo
	cp Scripts/sogo-backup.sh debian/tmp/usr/sbin/sogo-backup
	cp Scripts/logrotate debian/tmp/etc/logrotate.d/sogo
	cp Apache/SOGo.conf debian/tmp/usr/share/doc/sogo/apache.conf
	cp debian/sogo.tmpfiles.d debian/tmp/usr/lib/tmpfiles.d/sogo.conf
# Put arch independent files in /usr/share instead of /usr/lib
	mkdir -p debian/tmp/usr/share/GNUstep/SOGo
	for i in AdministrationUI.SOGo Appointments.SOGo CommonUI.SOGo Contacts.SOGo ContactsUI.SOGo MailPartViewers.SOGo \
		 Mailer.SOGo MailerUI.SOGo MainUI.SOGo PreferencesUI.SOGo SchedulerUI.SOGo; do \
	  mkdir debian/tmp/usr/share/GNUstep/SOGo/$$i \
	  && mv debian/tmp/usr/lib/GNUstep/SOGo/$$i/Resources debian/tmp/usr/share/GNUstep/SOGo/$$i/ \
	  && dh_link -psogo-common usr/share/GNUstep/SOGo/$$i/Resources usr/lib/GNUstep/SOGo/$$i/Resources ; \
	done
	mv debian/tmp/usr/lib/GNUstep/SOGo/Templates debian/tmp/usr/lib/GNUstep/SOGo/WebServerResources debian/tmp/usr/share/GNUstep/SOGo
	dh_link -psogo-common usr/share/GNUstep/SOGo/Templates usr/lib/GNUstep/SOGo/Templates
	dh_link -psogo-common usr/share/GNUstep/SOGo/WebServerResources usr/lib/GNUstep/SOGo/WebServerResources
	mkdir -p debian/tmp/usr/share/GNUstep/Libraries/Resources
	mv debian/tmp/usr/lib/GNUstep/Libraries/Resources/NGCards debian/tmp/usr/share/GNUstep/Libraries/Resources
	rmdir debian/tmp/usr/lib/GNUstep/Libraries/Resources debian/tmp/usr/lib/GNUstep/Libraries
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

=== debian/watch ===
version=4
https://packages.inverse.ca/SOGo/sources/ \
(?:.*/|.*=|)SOGo[\-\._](\d\.\d.\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)?

## sogo 5.1.0

=== debian/changelog ===
sogo (5.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Update source lintian-overrides.

 -- Jordi Mallach <jordi@debian.org>  Thu, 08 Apr 2021 23:56:43 +0200

## sogo 5.3.0

=== debian/changelog ===
sogo (5.3.0-0bit1) unstable; urgency=medium

  * New upstream release.
  * Add CVE and bug closer to 5.1.1-0 changelog entry.
  * Remove patch vcard import broken in 5.2.0, is upstream now.
  * Refresh patch.
  * Update source lintian-overrides with new false positive error.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 26 Nov 2021 08:46:21 +0100

sogo (5.2.0-0bit2) unstable; urgency=medium

  * Patch vcard import broken in 5.2.0 from upstream applied.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 27 Sep 2021 11:56:04 +0200

sogo (5.2.0-0bit1) unstable; urgency=medium

  * New upstream release.
  * Bump libsope-dev Build-Dep to >= 5.2.0.
  * Build-Depend on libytnef0-dev.
  * Adjust patches to Version 5.2.0.
  * Updated lintian overrides.
  * Don't run isLocalhost test, which is known to fail in many
    build environments (not in official buildds, though) (closes: #980678).
  * Reduce the number of expected testsuite failures to 3. One of the
    failing tests is now passing on the new version.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 10 Sep 2021 10:48:33 +0200

sogo (5.1.1-0bit1) unstable; urgency=medium

  * New upstream release.
    - [CVE-2021-33054] fixes validation of SAML message signatures
      (closes: #989479)
  * Bump libsope-dev Build-Dep to >= 5.1.1.
  * The packages zip and memcached are no longer dependent, but recommended.
  * Added apache2 | nginx to Suggests.
  * Updated lintian overrides.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 05 Jul 2021 10:50:06 +0200

sogo (5.1.0-0bit3) unstable; urgency=medium

  * Fixed wrong links in resource files.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 05 Jul 2021 09:00:42 +0200

sogo (5.1.0-0bit2) unstable; urgency=medium

  * Fixed typo in debian/rules.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 18 Jun 2021 14:36:23 +0200

sogo (5.1.0-0bit1) unstable; urgency=medium

  * New upstream release.
  * Bump libsope-dev Build-Dep to >= 5.1.0.
  * Removed patch improve EAS parameters parsing from upstream, included in upstream.
  * Addjust patch 0008-Unset-MAKEFLAGS-and-MFLAGS-in-configure.patch.
  * Using debhelper-compat B-D.
  * Update watch file to look for any X.Y.Z version.
  * Make build use pkg-config instead of xml2-config (closes: #949497).
  * Build-Depend on pkg-config.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 09 Apr 2021 10:31:45 +0200

sogo (5.0.1-0bit3) unstable; urgency=medium

  * applied patch improve EAS parameters parsing from upstream (fixes #5266)

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Sat, 13 Mar 2021 16:11:39 +0100

sogo (5.0.1-0bit2) unstable; urgency=medium

  * Corrected typo in sogo-backup.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 08 Jan 2021 13:23:49 +0100

sogo (5.0.1-0bit1) unstable; urgency=medium

  * New upstream release.
  * Bump libsope-dev Build-Dep to 5.0.1.
  * Enabled configure option --enable-mfa.
  * Adjust patches to Version 5.0.1.
  * Updated lintian overrides.
  * Added Build-Deps liboath-dev, libsodium-dev and libzip-dev.
  * Updated variable VERSION in rules to 5.
  * Adjust path which contains Versions in sogo-common.install and sogo-dev.install.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Tue, 13 Oct 2020 20:39:55 +0200

=== debian/control ===
Source: sogo
Priority: optional
Maintainer: Daniel Betschart <daniel.betschart@betschart-it.ch>
Build-Depends: debhelper-compat (= 12),
 gobjc,
 libgnustep-base-dev,
 libssl-dev,
 libcurl4-openssl-dev,
 liblasso3-dev (>= 2.3.5),
 libldap2-dev,
 libmemcached-dev,
 libsbjson-dev,
 libsope-dev (>= 5.2.0),
 libxml2-dev,
 libsodium-dev (>= 1.0.9),
 liboath-dev,
 libzip-dev,
 libytnef0-dev (>= 1.9.3),
 libwbxml2-dev (>= 0.11.2),
 pkg-config,
 python3
Section: mail
Standards-Version: 4.5.0
Homepage: https://sogo.nu/
Vcs-Browser: https://salsa.debian.org/debian/sogo
Vcs-Git: https://salsa.debian.org/debian/sogo.git

Package: sogo
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, sogo-common (= ${source:Version}), systemd | tmpreaper, adduser, lsb-base (>= 3.0-6)
Recommends: memcached, zip
Suggests: postgresql | default-mysql-server | virtual-mysql-server, apache2 | nginx
Description: Scalable groupware server
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability. It has many
 feature enhancements:
 .
  * CalDAV and GroupDAV compliance
  * full handling of vCard as well as vCalendar/iCalendar formats
  * support for folder sharing and ACLs
 .
 The Web interface has been rewritten in an AJAX fashion to provide a faster
 UI for the users, consistency in look and feel with the Mozilla applications,
 and to reduce the load of the transactions on the server.
 .
 This package contains the SOGo daemon.

Package: sogo-common
Architecture: all
Depends: ${misc:Depends}
Recommends: sogo
Suggests: httpd
Multi-Arch: foreign
Description: Scalable groupware server - common files
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability.
 .
 This package contains the architecture-indepedent files, including
 all the files that are needed on the web proxy.

Package: sogo-dev
Section: devel
Architecture: any
Depends: sogo (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: sogo (<< ${binary:Version})
Description: a modern and scalable groupware - development files
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability.
 .
 This package contains the development files for developing SOGo modules.

Package: sogo-activesync
Section: web
Priority: extra
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: sogo (= ${binary:Version}), sogo-activesync-common (= ${source:Version}), libwbxml2-0 (>= 0.11.2), ${shlibs:Depends}, ${misc:Depends}
Description: Scalable groupware server - ActiveSync module
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability.
 .
 This package provides Microsoft EAS support for SOGo and contains
 the architecture-depedent files.

Package: sogo-activesync-common
Section: web
Priority: extra
Architecture: all
Depends: ${misc:Depends}
Recommends: sogo-activesync
Description: Scalable groupware server - ActiveSync module common files
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability.
 .
 This package provides Microsoft EAS support for SOGo and contains
 the architecture-indepedent files.

Package: sogo-dbg
Section: debug
Priority: extra
Architecture: any
Depends: sogo (= ${binary:Version}), ${misc:Depends}
Description: Scalable groupware server - debugging symbols
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability.
 .
 This package contains the debugging symbols for SOGo.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
VERSION=5

%:
	dh $@

override_dh_auto_clean:
	[ ! -f config.make ] || $(MAKE) distclean
	[ ! -f config.make ] ||	$(MAKE) -C ActiveSync distclean
	rm -f config.make

override_dh_auto_build:
	dh_auto_build -- OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes
	$(MAKE) -C ActiveSync OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" message=yes

override_dh_auto_configure:
	./configure --with-ssl=ssl --enable-saml2 --enable-mfa

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp GNUSTEP_INSTALLATION_DOMAIN=SYSTEM OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes install
	$(MAKE) -C ActiveSync DESTDIR=$(CURDIR)/debian/tmp GNUSTEP_INSTALLATION_DOMAIN=SYSTEM OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes install
	mkdir -p debian/tmp/etc/default debian/tmp/etc/cron.d debian/tmp/etc/logrotate.d debian/tmp/usr/share/doc/sogo debian/tmp/usr/lib/tmpfiles.d
	cp Scripts/sogo-default debian/tmp/etc/default/sogo
	cp Scripts/sogo-default debian/tmp/etc/default/sogoeas
	sed -i 's/sogo/sogoeas/g' debian/tmp/etc/default/sogoeas
	sed -i 's/PREFORK=3/PREFORK=15/' debian/tmp/etc/default/sogoeas
	sed -i 's/Default: 3/Default: 15/' debian/tmp/etc/default/sogoeas
	sed -i 's/SOGo/SOGo ActiveSync/' debian/tmp/etc/default/sogoeas
	cp Scripts/sogo.cron debian/tmp/etc/cron.d/sogo
	cp Scripts/sogo-backup.sh debian/tmp/usr/sbin/sogo-backup
	cp Scripts/logrotate debian/tmp/etc/logrotate.d/sogo
	cp Scripts/logrotate debian/tmp/etc/logrotate.d/sogoeas
	sed -i 's/sogo/sogoeas/' debian/tmp/etc/logrotate.d/sogoeas
#	cp Apache/SOGo.conf debian/tmp/usr/share/doc/sogo/apache.conf
	cp debian/sogo.tmpfiles.d debian/tmp/usr/lib/tmpfiles.d/sogo.conf

#	Put arch independent files in /usr/share instead of /usr/lib
#	Resource files for SOGo
	mkdir -p debian/tmp/usr/share/GNUstep/SOGo
	for i in AdministrationUI.SOGo Appointments.SOGo CommonUI.SOGo Contacts.SOGo ContactsUI.SOGo MailPartViewers.SOGo \
		 Mailer.SOGo MailerUI.SOGo MainUI.SOGo PreferencesUI.SOGo SchedulerUI.SOGo; do \
	  mkdir debian/tmp/usr/share/GNUstep/SOGo/$$i \
	  && mv debian/tmp/usr/lib/GNUstep/SOGo/$$i/Resources debian/tmp/usr/share/GNUstep/SOGo/$$i/ \
	  && dh_link -psogo-common usr/share/GNUstep/SOGo/$$i/Resources usr/lib/GNUstep/SOGo/$$i/Resources ; \
	done

#	Resource files for ActiveSync
	mkdir -p debian/tmp/usr/share/GNUstep/SOGo/ActiveSync.SOGo
	mv debian/tmp/usr/lib/GNUstep/SOGo/ActiveSync.SOGo/Resources debian/tmp/usr/share/GNUstep/SOGo/ActiveSync.SOGo
	dh_link -psogo-activesync-common usr/share/GNUstep/SOGo/ActiveSync.SOGo/Resources usr/lib/GNUstep/SOGo/ActiveSync.SOGo/Resources
	-rm debian/tmp/usr/lib/GNUstep/SOGo/ActiveSync.SOGo/stamp.make

#	Resource files for Templates and WebServerResources
	mv debian/tmp/usr/lib/GNUstep/SOGo/Templates debian/tmp/usr/lib/GNUstep/SOGo/WebServerResources debian/tmp/usr/share/GNUstep/SOGo
	dh_link -psogo-common usr/share/GNUstep/SOGo/Templates usr/lib/GNUstep/SOGo/Templates
	dh_link -psogo-common usr/share/GNUstep/SOGo/WebServerResources usr/lib/GNUstep/SOGo/WebServerResources
	mkdir -p debian/tmp/usr/share/GNUstep/Libraries/Resources
	mv debian/tmp/usr/lib/GNUstep/Libraries/Resources/NGCards debian/tmp/usr/share/GNUstep/Libraries/Resources
	rmdir debian/tmp/usr/lib/GNUstep/Libraries/Resources debian/tmp/usr/lib/GNUstep/Libraries

#	Framework Resources
	mkdir -p debian/tmp/usr/share/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION)
	mv debian/tmp/usr/lib/GNUstep/Frameworks/SOGo.framework/Resources debian/tmp/usr/share/GNUstep/Frameworks/SOGo.framework
	mv debian/tmp/usr/lib/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION)/Resources debian/tmp/usr/share/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION)
	dh_link -psogo-common usr/share/GNUstep/Frameworks/SOGo.framework/Resources usr/lib/GNUstep/Frameworks/SOGo.framework/Resources
	dh_link -psogo-common usr/share/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION)/Resources usr/lib/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION)/Resources
	dh_link -psogo-common usr/share/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION) usr/share/GNUstep/Frameworks/SOGo.framework/Versions/Current

#	Headers for development package
	mkdir -p debian/tmp/usr/share/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION)
	mv debian/tmp/usr/lib/GNUstep/Frameworks/SOGo.framework/Headers debian/tmp/usr/share/GNUstep/Frameworks/SOGo.framework
	mv debian/tmp/usr/lib/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION)/Headers debian/tmp/usr/share/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION)
	dh_link -psogo-dev usr/share/GNUstep/Frameworks/SOGo.framework/Headers usr/lib/GNUstep/Frameworks/SOGo.framework/Headers
	dh_link -psogo-dev usr/share/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION)/Headers usr/lib/GNUstep/Frameworks/SOGo.framework/Versions/$(VERSION)/Headers

	dh_install

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

=== debian/watch ===
version=4
https://packages.inverse.ca/SOGo/sources/ \
(?:.*/|.*=|)SOGo[\-\._](\d\.\d.\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)? debian uupdate

## sogo 5.5.1

=== Documentation/Makefile ===
all: pdf html

ASCIIDOCS = $(wildcard SOGo*.asciidoc)
PDFS = $(patsubst %.asciidoc,%.pdf, $(ASCIIDOCS))
HTML = $(patsubst %.asciidoc,%.html, $(ASCIIDOCS))

%.pdf: %.asciidoc asciidoctor-pdf-theme.yml $(wildcard includes/*.asciidoc)
	asciidoctor-pdf \
		-a pdf-fontsdir=fonts \
		-a release_version=`git describe --abbrev=0 --tags | cut -d'-' -f 2` \
		-a release_month=`date +%B` \
		-a pdf-theme=asciidoctor-pdf-theme.yml \
		--trace \
		$<

%.html: %.asciidoc $(wildcard includes/*.asciidoc)
	asciidoctor \
		-D . \
		-a release_version=`git describe --abbrev=0 --tags | cut -d'-' -f 2` \
		-a release_month=`date +%B` \
		-n \
		$<

pdf: $(PDFS)

html: $(HTML)

clean:
	rm -f *.pdf *.html

=== debian/changelog ===
sogo (5.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Correct location of backup dir (closes: #1002559).
  * Refresh patches as needed.

 -- Jordi Mallach <jordi@debian.org>  Fri, 04 Feb 2022 20:35:04 +0100

sogo (5.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove reference to lack of S/MIME support in README.Debian.
    (Closes: #100378)
  * Update source lintian overrides.

 -- Jordi Mallach <jordi@debian.org>  Tue, 25 Jan 2022 19:46:58 +0100

sogo (5.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Add changelog entries for buster & bullseye security releases.

 -- Jordi Mallach <jordi@debian.org>  Sat, 08 Jan 2022 13:20:56 +0100

sogo (5.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Add CVE and bug closer to 5.1.1-1 changelog entry.
  * Refresh patch.
  * Update source lintian-overrides with new false positive error.

 -- Jordi Mallach <jordi@debian.org>  Fri, 19 Nov 2021 23:47:35 +0100

sogo (5.2.0-3) unstable; urgency=medium

  * Update overrides to match current Lintian.
  * Upload to unstable after transit through NEW.

 -- Jordi Mallach <jordi@debian.org>  Mon, 08 Nov 2021 14:18:43 +0100

sogo (5.2.0-2) experimental; urgency=medium

  * Add ActiveSync support (thanks Gürkan Myczko; closes: #968367).

 -- Jordi Mallach <jordi@debian.org>  Mon, 01 Nov 2021 16:36:08 +0100

sogo (5.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.0.
  * Add upstream metadata.
  * Refresh patches.
  * Add libytnef-dev to Build-Depends for MS-TNEF support.

 -- Jordi Mallach <jordi@debian.org>  Thu, 23 Sep 2021 18:09:23 +0200

sogo (5.1.1-1) unstable; urgency=medium

  * New upstream release
    - [CVE-2021-33054] fixes validation of SAML message signatures
      (closes: #989479)

 -- Jordi Mallach <jordi@debian.org>  Tue, 17 Aug 2021 00:54:43 +0200

=== debian/control ===
Source: sogo
Section: mail
Priority: optional
Maintainer: Debian SOGo Maintainers <pkg-sogo-maintainers@lists.alioth.debian.org>
Uploaders: Jeroen Dekkers <jeroen@dekkers.ch>,
           Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper-compat (= 13),
 gobjc,
 libcurl4-openssl-dev,
 libgnustep-base-dev,
 liblasso3-dev,
 libldap2-dev,
 libmemcached-dev,
 liboath-dev,
 libsbjson-dev,
 libsodium-dev,
 libsope-dev (>= 5.0.1-2~),
 libssl-dev,
 libwbxml2-dev (>= 0.11),
 libxml2-dev,
 libytnef-dev,
 libzip-dev,
 pkg-config,
 python3
Standards-Version: 4.6.0
Homepage: https://sogo.nu/
Vcs-Browser: https://salsa.debian.org/debian/sogo
Vcs-Git: https://salsa.debian.org/debian/sogo.git
Rules-Requires-Root: no

Package: sogo
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, tmpreaper | systemd, sogo-common (= ${source:Version}), adduser, zip, lsb-base (>= 3.0-6), memcached
Suggests: postgresql | default-mysql-server | virtual-mysql-server
Description: Scalable groupware server
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability. It has many
 feature enhancements:
 .
  * CalDAV and GroupDAV compliance
  * full handling of vCard as well as vCalendar/iCalendar formats
  * support for folder sharing and ACLs
 .
 The Web interface has been rewritten in an AJAX fashion to provide a faster
 UI for the users, consistency in look and feel with the Mozilla applications,
 and to reduce the load of the transactions on the server.
 .
 This package contains the SOGo daemon.

Package: sogo-activesync
Architecture: any
Depends: sogo (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Scalable groupware server - ActiveSync module
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability.
 .
 This package provides Microsoft EAS support for SOGo.

Package: sogo-common
Architecture: all
Depends: ${misc:Depends}
Suggests: httpd
Multi-Arch: foreign
Description: Scalable groupware server - common files
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability.
 .
 This package contains the architecture-indepedent files, including
 all the files that are needed on the web proxy.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_clean:
	[ ! -f config.make ] || $(MAKE) distclean
	[ ! -f config.make ] || (cd ActiveSync && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp GNUSTEP_INSTALLATION_DOMAIN=SYSTEM OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes clean)
	rm -f config.make

override_dh_auto_build:
	dh_auto_build -- OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes
	(cd ActiveSync && $(MAKE) OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes)

override_dh_auto_configure:
	./configure --with-ssl=ssl --enable-saml2 --enable-mfa

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp GNUSTEP_INSTALLATION_DOMAIN=SYSTEM OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes install
	(cd ActiveSync && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp GNUSTEP_INSTALLATION_DOMAIN=SYSTEM OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes install)
	mkdir -p debian/tmp/etc/default debian/tmp/etc/cron.d debian/tmp/etc/logrotate.d debian/tmp/usr/share/doc/sogo debian/tmp/usr/lib/tmpfiles.d
	cp Scripts/sogo-default debian/tmp/etc/default/sogo
	cp Scripts/sogo.cron debian/tmp/etc/cron.d/sogo
	cp Scripts/sogo-backup.sh debian/tmp/usr/sbin/sogo-backup
	cp Scripts/logrotate debian/tmp/etc/logrotate.d/sogo
	cp Apache/SOGo.conf debian/tmp/usr/share/doc/sogo/apache.conf
	cp debian/sogo.tmpfiles.d debian/tmp/usr/lib/tmpfiles.d/sogo.conf
# Put arch independent files in /usr/share instead of /usr/lib
	mkdir -p debian/tmp/usr/share/GNUstep/SOGo
	for i in AdministrationUI.SOGo Appointments.SOGo CommonUI.SOGo Contacts.SOGo ContactsUI.SOGo MailPartViewers.SOGo \
		 Mailer.SOGo MailerUI.SOGo MainUI.SOGo PreferencesUI.SOGo SchedulerUI.SOGo; do \
	  mkdir debian/tmp/usr/share/GNUstep/SOGo/$$i \
	  && mv debian/tmp/usr/lib/GNUstep/SOGo/$$i/Resources debian/tmp/usr/share/GNUstep/SOGo/$$i/ \
	  && dh_link -psogo-common usr/share/GNUstep/SOGo/$$i/Resources usr/lib/GNUstep/SOGo/$$i/Resources ; \
	done
	mv debian/tmp/usr/lib/GNUstep/SOGo/Templates debian/tmp/usr/lib/GNUstep/SOGo/WebServerResources debian/tmp/usr/share/GNUstep/SOGo
	dh_link -psogo-common usr/share/GNUstep/SOGo/Templates usr/lib/GNUstep/SOGo/Templates
	dh_link -psogo-common usr/share/GNUstep/SOGo/WebServerResources usr/lib/GNUstep/SOGo/WebServerResources
	mkdir -p debian/tmp/usr/share/GNUstep/Libraries/Resources
	mv debian/tmp/usr/lib/GNUstep/Libraries/Resources/NGCards debian/tmp/usr/share/GNUstep/Libraries/Resources
	rmdir debian/tmp/usr/lib/GNUstep/Libraries/Resources debian/tmp/usr/lib/GNUstep/Libraries
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

## sogo 5.7.1

=== debian/changelog ===
sogo (5.7.1-3) unstable; urgency=medium

  * Add upstream patch to fix destination dropdown for new Calendar
    components.

 -- Jordi Mallach <jordi@debian.org>  Mon, 03 Oct 2022 13:07:58 +0200

sogo (5.7.1-2) unstable; urgency=medium

  * Reverse the systemd | tmpreaper dependency.
  * Override dh_auto_test to make tests non-fatal on BE arches.
    The sogotest tool that runs the unit test fails on big endian
    architectures. While this is investigated, make tests non-fatal
    on those environments.

 -- Jordi Mallach <jordi@debian.org>  Thu, 25 Aug 2022 15:28:48 +0200

sogo (5.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Lower the number of expected test failures to 2.
  * Require libsope-dev 5.7.1, for its new IPv6 support.

 -- Jordi Mallach <jordi@debian.org>  Thu, 25 Aug 2022 11:07:28 +0200

sogo (5.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Thu, 16 Jun 2022 14:06:05 +0200

sogo (5.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Fix bug number in 5.5.0-1 changelog entry.
  * Add sql migration script for 5.5.1 → 5.6.0.
  * Add NEWS entry with upgrade instructions for 5.6.0.
  * Update the number of failing patches.

 -- Jordi Mallach <jordi@debian.org>  Tue, 17 May 2022 09:11:18 +0200

## sogo 5.8.0

=== debian/changelog ===
sogo (5.8.0-1) unstable; urgency=medium

  * New upstream release.
    - fixes sync CalDAV/CardDAV sync errors (closes: #1023177).
  * Update watch file with new download URL.
  * Drop destination-calendars-of-new-components.patch.
  * Update copyright years.
  * Refresh patches.
  * Update lintian-overrides to new syntax.

 -- Jordi Mallach <jordi@debian.org>  Thu, 01 Dec 2022 12:47:54 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  liboath-dev,
  libsbjson-dev,
  libsodium-dev,
- libsope-dev (>= 5.0.1-2~),
+ libsope-dev (>= 5.7.1),
  libssl-dev,
  libwbxml2-dev (>= 0.11),
  libxml2-dev,
@@ -22,7 +22,7 @@
  libzip-dev,
  pkg-config,
  python3
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://sogo.nu/
 Vcs-Browser: https://salsa.debian.org/debian/sogo
 Vcs-Git: https://salsa.debian.org/debian/sogo.git
@@ -31,7 +31,7 @@
 Package: sogo
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, tmpreaper | systemd, sogo-common (= ${source:Version}), adduser, zip, lsb-base (>= 3.0-6), memcached
+Depends: ${shlibs:Depends}, ${misc:Depends}, systemd | tmpreaper, sogo-common (= ${source:Version}), adduser, zip, lsb-base (>= 3.0-6), memcached
 Suggests: postgresql | default-mysql-server | virtual-mysql-server
 Description: Scalable groupware server
  SOGo is a groupware server built around OpenGroupware.org (OGo) and

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # -*- makefile -*-
 export DH_VERBOSE=1
 export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
+DEB_HOST_ARCH_ENDIAN ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_ENDIAN)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
@@ -18,6 +19,13 @@
 
 override_dh_auto_configure:
 	./configure --with-ssl=ssl --enable-saml2 --enable-mfa
+
+override_dh_auto_test:
+ifeq ($(DEB_HOST_ARCH_ENDIAN),little)
+	dh_auto_test
+else
+	-dh_auto_test
+endif
 
 override_dh_auto_install:
 	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp GNUSTEP_INSTALLATION_DOMAIN=SYSTEM OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes install

=== debian/watch ===
version=4
https://packages.sogo.nu/sources/ \
(?:.*/|.*=|)SOGo[\-\._](\d\.\d.\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)?
